apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Glenn Schrader <gsch...@ll.mit.edu>
Subject [PATCH] apr-util build fails on Solaris 2.8
Date Fri, 05 Aug 2005 15:21:05 GMT
I'm attempting to build apr-util 1.1.2 on Solaris 2.8 with
--enable-static, --disable-shared, and --with-berkeley-db=<path>.
The configuration script indicates that it can't find a
good Berkeley DB. The problem isn't that its not pointing
to a good libdb since the log file says that the test
for the database is failing to link because fdatasync
is undefined. What I've found is that on linux, fdatasync
appears to be in both libc and librt but on Solaris 2.8
its only in librt. The attached patch modifies
apr-util/build/apu-hits.m4 to add -lrt to the list of
libraries to be linked in for Solaris2.

Thanks much,

Glenn Schrader


Mime
View raw message